### File

`packages/eui/packages/components-next/src/lib/components/eui-select/eui-select.component.ts`

### Implements

`AfterContentInit` `OnChanges` `DoCheck` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `select[euiSelect]`
styleUrls | `./styles/_index.scss`
template |
    <ng-content></ng-content>

### Index

###### Inputs
id isInvalid multiple placeholder readonly
###### HostBindings
class
###### HostListeners
change
###### Accessors
isInvalid multiple id

### Constructor

`constructor(_renderer: Renderer2, _elementRef: ElementRef, control: NgControl, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef)`
Parameters :
Name | Type | Optional
_renderer | `Renderer2` | No
_elementRef | `ElementRef` | No
control | `NgControl` | No
componentFactoryResolver | `ComponentFactoryResolver` | No
viewContainerRef | `ViewContainerRef` | No

### Inputs

id
Type : `string`

isInvalid

multiple
Type : `boolean`

placeholder
Type : `string`

readonly
Type : `boolean`

### HostBindings

class
Type : `any`

### HostListeners

change
Arguments : `'$event.target.value'`
`change(selected)`
Listener that triggers when selected value changes

### Accessors

isInvalid
set `isInvalid(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

multiple
set `multiple(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

id
set `id(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""